<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [getServerBaseSecurityLevel](./bitburner.ns.getserverbasesecuritylevel.md)

## NS.getServerBaseSecurityLevel() method

Get the base security level of a server.

**Signature:**

```typescript
getServerBaseSecurityLevel(host: string): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  host | string | Host of target server. |

**Returns:**

number

Base security level of the target server.

## Remarks

RAM cost: 0.1 GB Returns the base security level of the target server. For the server's actual security level, use [ns.getServerSecurityLevel](./bitburner.ns.getserversecuritylevel.md)<!-- -->.

